Package org.mariadb.jdbc.internal.com.send.parameters

## Class NullParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.parameters.NullParameter

All Implemented Interfaces:
  `Cloneable`, `ParameterHolder`

    public class NullParameter
    extends Object
    implements ParameterHolder, Cloneable

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder

`BINARY_INTRODUCER, QUOTE`

### Constructor Summary

Constructors
`NullParameter()`
`NullParameter​(ColumnType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canBeLongData()`
`int` `getApproximateTextProtocolLength()`
`ColumnType` `getColumnType()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary​(PacketOutputStream pos)` Write data to socket in binary format.
`void` `writeTo​(PacketOutputStream os)` Write parameter value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder

`writeLongData`

### Constructor Detail

#### NullParameter

    public NullParameter()

#### NullParameter

    public NullParameter​(ColumnType type)

### Method Detail

#### writeTo

    public void writeTo​(PacketOutputStream os)
                 throws IOException

Description copied from interface: `ParameterHolder`
Write parameter value.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### getApproximateTextProtocolLength

    public int getApproximateTextProtocolLength()

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`

#### writeBinary

    public void writeBinary​(PacketOutputStream pos)

Write data to socket in binary format.

Specified by:
  `writeBinary` in interface `ParameterHolder`
Parameters:
  `pos` - socket output stream

#### getColumnType

    public ColumnType getColumnType()

Specified by:
  `getColumnType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`

#### canBeLongData

    public boolean canBeLongData()

Specified by:
  `canBeLongData` in interface `ParameterHolder`